Bug 1746107 - The kdcproxy cannot handle data split amongst several tcp packets coming from AD
Summary: The kdcproxy cannot handle data split amongst several tcp packets coming from AD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-kdcproxy
Version: 7.8
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Robbie Harwood
QA Contact: anuja
Marc Muehlfeld
URL: https://github.com/latchset/kdcproxy/...
Whiteboard:
Depends On: 1747144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 16:38 UTC by Raul Mahiques
Modified: 2020-03-31 20:06 UTC (History)
5 users (show)

Fixed In Version: python-kdcproxy-0.3.2-3.el7
Doc Type: Bug Fix
Doc Text:
.The `python-kdcproxy` library no longer drops large Kerberos replies Previously, if an Active Directory Kerberos Distribution Center (KDC) split large Kerberos replies into multiple TCP packets, the `python-kdcproxy` library dropped these packages. This update fixes the problem. As a result, `python-kdcproxy` processes large Kerberos replies correctly.
Clone Of:
: 1747144 (view as bug list)
Environment:
Last Closed: 2020-03-31 20:06:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github latchset kdcproxy pull 44 'None' closed Always buffer TCP data in __handle_recv() 2020-04-27 12:06:50 UTC
Red Hat Product Errata RHBA-2020:1146 None None None 2020-03-31 20:06:34 UTC

Comment 15 Christian Heimes 2019-08-30 08:37:11 UTC
False alarm, #1747144 is the clone.

Comment 29 errata-xmlrpc 2020-03-31 20:06:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1146


Note You need to log in before you can comment on or make changes to this bug.